# gds-alert - Angular

## Import

```typescript
import { GdsAlertComponent } from '@sebgroup/green-core-ng'
```

## Usage

Use the component in your Angular templates:

```html
<gds-alert>
  <!-- content -->
</gds-alert>
```

## Event Handling

Events are emitted using Angular output syntax. Event names are converted from kebab-case to camelCase:

| Web Component Event | Angular Output | Handler Example |
|---------------------|----------------|-----------------|
| `gds-close` | `gdsClose` | `(gdsClose)="handler($event)"` |
| `gds-action` | `gdsAction` | `(gdsAction)="handler($event)"` |
